| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::embed_type Namespace Reference

Represents possible values for the dpp::embed type field. These are loosely defined by the API docs and do not influence how the client renders embeds. More...

## Variables

const std::string | emt_article = "article"
| Article.
const std::string | emt_automod = "auto_moderation_message"
| Auto moderation filter.
const std::string | emt_gifv = "gifv"
| Animated gif.
const std::string | emt_image = "image"
| Image.
const std::string | emt_link = "link"
| Link URL.
const std::string | emt_rich = "rich"
| Rich text.
const std::string | emt_video = "video"
| Video link.

## Detailed Description

Represents possible values for the dpp::embed type field. These are loosely defined by the API docs and do not influence how the client renders embeds.

Note
  The only type a bot can send is dpp::embed_type::emt_rich.

## Variable Documentation

## ◆ emt_article

const std::string dpp::embed_type::emt_article = "article"

Article.

## ◆ emt_automod

const std::string dpp::embed_type::emt_automod = "auto_moderation_message"

Auto moderation filter.

## ◆ emt_gifv

const std::string dpp::embed_type::emt_gifv = "gifv"

Animated gif.

## ◆ emt_image

const std::string dpp::embed_type::emt_image = "image"

Image.

## ◆ emt_link

const std::string dpp::embed_type::emt_link = "link"

Link URL.

## ◆ emt_rich

const std::string dpp::embed_type::emt_rich = "rich"

Rich text.

## ◆ emt_video

const std::string dpp::embed_type::emt_video = "video"

Video link.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0